%define name gd
%define version 2.0.9
%define prefix %{_prefix}
%define release 3mdk
%define lib_name_orig libgd
%define lib_major 2
%define lib_name %mklibname %{name} %{lib_major}
BuildRequires: libpng-devel zlib1-devel t1lib1-devel
BuildRequires: libjpeg62-devel XFree86-devel libxpm4-devel
#It uses freetype2-devel, but uses the old library for gdttf
BuildRequires: freetype2-devel, freetype-devel
Requires: libpng, zlib1, t1lib, libjpeg62, XFree86-libs
Requires: freetype2, freetype, libxpm4
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Name: %{name}
Summary: A graphics library for generating .gif files.
Version: %{version}
Release: %{release}
License: BSD-style
Group: System/Libraries
URL: http://www.boutell.com/gd/

%description
gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste
from other images, and flood fills, and write out the result as a PNG or
JPEG file. This is particularly useful in World Wide Web
applications, where PNG and JPEG are two of the formats accepted for inline
images by most browsers. 

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics operation. It is
not necessary or desirable for gd to become a kitchen-sink
graphics package, but version 1.7.3 incorporates most of the commonly
requested features for an 8-bit 2D package. Support for
truecolor images, including truecolor JPEG and PNG, is planned for version
2.0. 


%package -n %{lib_name}
Summary: A graphics library for generating .gif files
Source: http://www.boutell.com/gd/gd-%{version}.tar.bz2
License: BSD-style
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Provides: %{lib_name} = %{version}-%{release}
Obsoletes: %name

%description -n %{lib_name}
This package contains the library needed to run programs dynamically linked
with libgd

gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a .PNG or .JPG
file. This is particularly useful in World Wide Web applications,
where .PNG and .JPG are two of the formats accepted for inline images by most
browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. 

gd does not provide for every possible desirable graphics operation.
It is not necessary or desirable for gd to become a kitchen-sink
graphics package, but version 1.7.3 incorporates most of the commonly
requested features for an 8-bit 2D package. Support for truecolor
images, including truecolor JPEG and truecolor PNG is planned for version 2.0.


%package -n %{lib_name}-devel
Summary: The development libraries and header files for gd.
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: lib%{name}-devel = %{version}-%{release} 
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel

%description -n %{lib_name}-devel
These are the development libraries and header files for gd, the .png and
.jpeg graphics library.

gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a .PNG or .JPG
file. This is particularly useful in World Wide Web applications,
where .PNG and .JPG are two of the formats accepted for inline images by most
browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. If you are not a programmer, you
are looking in the wrong place.

gd does not provide for every possible desirable graphics operation.
It is not necessary or desirable for gd to become a kitchen-sink
graphics package, but version 1.7.3 incorporates most of the commonly
requested features for an 8-bit 2D package. Support for truecolor
images, including truecolor JPEG and truecolor PNG is planned for version 2.0.

If you're installing the gd graphics library, you'll probably want to install
gd-devel.

%package utils
Requires: %{lib_name} = %{version}
Summary: The Utils files for gd.
Group: System/Libraries

%description utils
gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a .PNG or .JPG
file. This is particularly useful in World Wide Web applications,
where .PNG and .JPG are two of the formats accepted for inline images by most
browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. If you are not a programmer, you
are looking in the wrong place.

gd does not provide for every possible desirable graphics operation.
It is not necessary or desirable for gd to become a kitchen-sink
graphics package, but version 1.7.3 incorporates most of the commonly
requested features for an 8-bit 2D package. Support for truecolor
images, including truecolor JPEG and truecolor PNG is planned for version 2.0.


%prep
%setup -q -n gd-%{version}

%build
%configure
%make 

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc README.TXT index.html
%{_libdir}/*.so.*

%files  -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%files utils
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Mon Feb 03 2003 Franois Pons <fpons@mandrakesoft.com> 2.0.9-3mdk
- fix according David Walser.
- add %%mklibname.
- restored srpm gd, as no more orignial gd exists.

* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.9-2mdk
- call srpm gd2, to preserve orginal gd

* Thu Dec 19 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.9-1mdk
- new version, do binaries need to be in /usr/sbin?

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.4-7mdk
- Patch2: Let it bootstrap without any libgd installed beforehand...

* Thu Jun 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.4-6mdk
- Patch1: Nuke references to /usr/local dir for include and library
  search paths. Put defines in a separate variable.

* Tue Jun 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-5mdk
- recompiled for libintl2

* Tue Oct 09 2001 Philippe Libat <philippe@mandrakesoft.com> 1.8.4-4mdk
- rebuild against libpng3

* Tue Apr 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-3mdk
- provide libgd1.8

* Tue Apr 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.8.4-2mdk
- gd-utils has no need for a name change
- lib major is 1

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.4-1mdk
- This version should fix 90% if the php-gd issues, and the Linuxconf
  segfault. The previous version was broken, it was not linked with
  the required libraries. This means that Chmou got away with a
  non-functional shared patch for two years. JMD sucks for not having
  found out before that.
- Conforms to the new library policy
- This package is only required by Linuxconf and gd, so it should not break
  anything
- Kyle VanderBeek <kylev@yaga.com> added libgd.a static library to -devel

* Sun Nov  5 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.3-2mdk
- added Xpm and Xbm support

* Sat Nov  4 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.8.3-1mdk
- 1.8.3
- removed "gif" from descriptions, since it supports PNG since version 1.5
  because of the Unisys GIF patent
- added JPEG support
- added WBMP (intended for wireless devices (not regular web browsers).

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-4mdk
- removed build requires on gd-devel.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-3mdk
- automatically added BuildRequires

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.8.1-2mdk
- add soname

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.8.1-1mdk
- Upgrade to 1.8.1

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Relifting of .spec.
- New shared lib patchs.
- 1.7.
- Add package utils.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- fix typo :-(

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- we can't use >1.5 unless we backport the gif support :-(.
- Add %defattr.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.5

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- built for 5.2
